Click or drag to resize

IMcViewNotifyEnabled Property

Determines if a particular event notify client will receive events.

Namespace:  MediaCy.IQL.Display.Viewer
Assembly:  MediaCy.IQL.Display.Viewer (in MediaCy.IQL.Display.Viewer.dll) Version: 10.0.6912.0
Syntax
VB
Property NotifyEnabled ( 
	NotifyClient As Object
) As Boolean
	Get
	Set

Parameters

NotifyClient
Type: SystemObject
Nothing or an object that has previously registered as an event notify client for one of the two event interfaces. The custom _IMcBasicViewEvents is search for this client first, then the late binding _IMcViewEvents interface. If this client is not registered, the property is exposed as False, and nothing happens on assignment. On assignment, if Nothing, then all notify clients are set to the assigned state.

Property Value

Type: Boolean
Remarks
This property allows particular event notification clients to be disabled or re-enabled without having to unregister and then re-register the event client. You would most generally use this to hide and show individual drawing overlays (see Example). All overlays may be hidden via the Display.DisplayWhat property.
Note Note
There is also a corresponding Display property mirroring this one; either may be used with identical results.
Examples
VB
'Make sure that ThisApplication.ActiveImage.AnnotationOverlay is a notify client
If ThisApplication.ActiveWindow.View.SetNotifyPriority( ThisApplication.ActiveImage.AnnotationOverlay, 0) = 0 Then
'The ThisApplication.ActiveImage.AnnotationOverlay was not a client, so make it one
ThisApplication.ActiveImage.AnnotationOverlay.Visible = True 'by making it Visible
If ThisApplication.ActiveWindow.View.SetNotifyPriority( ThisApplication.ActiveImage.AnnotationOverlay, 0) = 0 Then
MsgBox "Something is wrong.  The ThisApplication.ActiveImage.AnnotationOverlay should now be a notify client."
Exit Sub
End If
End If
'Hide the annotation overlay on the ThisApplication.ActiveWindow.View only
ThisApplication.ActiveWindow.View.NotifyEnabled( ThisApplication.ActiveImage.AnnotationOverlay) = False
See Also